# Az - File Share Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

Exploitation Post-Fichier de Partage

Pour plus d'informations sur les partages de fichiers, consultez :

{{#ref}}
../az-services/az-file-shares.md
{{#endref}}

### `Microsoft.Storage/storageAccounts/fileServices/fileshares/files/read`

Un principal avec cette permission pourra **lister** les fichiers à l'intérieur d'un partage de fichiers et **télécharger** les fichiers qui pourraient contenir des **informations sensibles**.
```bash
# List files inside an azure file share
az storage file list \
--account-name <name> \
--share-name <share-name> \
--auth-mode login --enable-file-backup-request-intent

# Download an specific file
az storage file download \
--account-name <name> \
--share-name <share-name> \
--path <filename-to-download> \
--dest /path/to/down \
--auth-mode login --enable-file-backup-request-intent
```
### `Microsoft.Storage/storageAccounts/fileServices/fileshares/files/write`, `Microsoft.Storage/storageAccounts/fileServices/writeFileBackupSemantics/action`

Un principal avec cette permission pourra **écrire et écraser des fichiers dans des partages de fichiers**, ce qui pourrait lui permettre de causer des dommages ou même d'escalader des privilèges (par exemple, écraser du code stocké dans un partage de fichiers) :
```bash
az storage blob upload \
--account-name <acc-name> \
--container-name <container-name> \
--file /tmp/up.txt --auth-mode login --overwrite
```
### \*/delete

Cela permettrait de supprimer des fichiers à l'intérieur du système de fichiers partagé, ce qui pourrait **interrompre certains services** ou faire perdre au client **des informations précieuses**.

{{#include ../../../banners/hacktricks-training.md}}
